.slider-container {
    min-height: 20px;
}

.carousel-content {
    padding: 15px 0;
}

.carousel-title-wrap {
    display: flex;
    -webkit-box-pack: justify;
    justify-content: flex-start;
    -webkit-box-align: center;
    align-items: center;
    padding-bottom: 15px;
}

    .carousel-title-wrap img {
        padding-right: 7px;
    }

.carousel-title {
    font-size: 19px;
    font-weight: bold;
    border-bottom: 3px solid #B81D22;
    color: #333333;
    padding: 5px 20px;
    text-transform: uppercase;
}

.carousel-title-link {
    margin-left: auto;
    /*justify-self: flex-end;*/
    color: #B81D22;
    font-size: 16px;
    padding: 5px 20px;
    border-radius: 7px;
}

    .carousel-title-link:hover {
        background-color: #D5D5D5;
        cursor: pointer;
    }

.carousel-content .carousel-content-wrapper {
    padding: 5px;
    background-color: white;
    box-sizing: border-box;
    /*border: 1px solid #DFDFDF;*/
}

.carousel-content .carousel-content-title {
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    line-height: 15px;
    /*min-height: 80px;*/
    padding-top: 15px;
    text-align: center;
    word-wrap: break-word;
}

.carousel-content .carousel-content-title a {
    text-decoration: none;
    color: inherit;
}

.carousel-content .carousel-content-title:hover {
    color: #d4310f;
    cursor: pointer;
    text-decoration: underline;
}

.carousel-content .carousel-content-image {
    display: table;
    margin: 0 auto;
    padding-top: 15px;
    padding-bottom: 15px;
}

.carousel-content .carousel-content-image img {
    object-fit: contain;
    cursor: pointer;
    position: relative;
    margin: 0 auto;
    display: block;
    padding: 5px;
    height: 150px;
    width: 100%;
}

.carousel-content .carousel-content-image img:hover {
    cursor: pointer;
    opacity: 0.6;
}


.carousel-content .carousel-content-image-video {
    display: block;
    margin: 0 auto;
    padding-top: 15px;
    padding-bottom: 15px;
    position: relative;
}

.carousel-content .carousel-content-image-video img {
    object-fit: contain;
    cursor: pointer;
    position: relative;
    margin: 0 auto;
    display: block;
    padding: 5px;
    width: 100%;
}

.carousel-content .carousel-content-image-video img:hover {
    cursor: pointer;
    opacity: 0.6;
}

.carousel-content .carousel-content-title-video {
    position: absolute;
    bottom: 15px;
    left: 50%;
    bottom: 10%;
    transform: translateX(-50%);
    width: 80%;
    text-align: left;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.8);
}


.carousel-content .carousel-content-code {
    font-size: 12px;
    text-align: left;
}

/*.carousel-content .carousel-content-code-value:hover  {
    color: #d4310f;
    cursor: pointer;
    text-decoration: underline;
}*/

.carousel-content .carousel-content-price {
    font-weight: 800;
    /*font-size: 14px;*/
    line-height: 35px;
    color: #000000;
}

    .carousel-content .carousel-content-price.price-none {
        background-color: #eee;
        color: #999;
    }

.carousel-content .carousel-content-cart.price-none, .carousel-content .carousel-content-cart-now.price-none {
    display: none;
}

.carousel-content .carousel-content-remain {
    display: none;
}

    .carousel-content .carousel-content-remain.price-none {
        display: block;
        font-size: 14px;
        min-height: 28px;
    }

    .carousel-content .carousel-content-remain .not-able-text {
        color: #fa0012;
        padding-left: 5px;
    }

        .carousel-content .carousel-content-remain .not-able-text:hover {
            text-decoration: underline;
        }

.carousel-content .carousel-content-cart {
    background-image: url("/images/icons/cart_add.png");
    background-repeat: no-repeat;
    background-position: right;
    height: 28px;
}

.carousel-content .carousel-content-cart-now {
    background-image: url("/images/icons/buy_now_add.png");
    background-repeat: no-repeat;
    background-position: right;
    height: 28px;
}

.carousel-content .carousel-content-cart.added {
    background-image: url("/images/icons/cart_added1.png");
}

.carousel-content .carousel-content-cart:hover, .carousel-content .carousel-content-cart-now:hover {
    opacity: 0.6;
    cursor: pointer;
}

.carousel-content .burn-icon img {
    height: 30px;
    position: absolute;
    z-index: 99999;
    right: 20px;
    width: inherit;
}

.carousel-content .carousel-rating {
    display: flex;
    -webkit-box-pack: justify;
    justify-content: flex-end;
}

.carousel-content .carousel-content-favoritelist {
    background-image: url("/images/icons/icon_heart_small.png");
    background-repeat: no-repeat;
    background-position: center;
    height: 30px;
    width: 30px;
}

    .carousel-content .carousel-content-favoritelist.added {
        background-image: url("/images/icons/favorite.png");
    }

    .carousel-content .carousel-content-favoritelist:hover {
        opacity: 0.6;
        cursor: pointer;
    }

.carousel-content .сarousel-read-more {
    font-size: 14px;
    text-decoration: underline dotted;
    text-align: right;
    padding: 5px 0 5px 0;
    color: #3e77aa;
}

    .carousel-content .сarousel-read-more a {
        color: #3e77aa;
    }

        .carousel-content .сarousel-read-more a:hover {
            text-decoration: none;
            color: red;
        }

.btn-buy {
    background-color: #0E8F60;
    border-color: #0E8F60;
    /*margin-top: 10px;
    margin-bottom: 10px;
    padding-right: 20px;
    padding-left: 20px;*/
    text-transform: uppercase;
}

    .btn-buy:disabled {
        background-color: #659584;
        border-color: #659584;
        cursor: default;
    }

.rcb-available .able-text {
    color: #0f902e;
    padding-left: 5px;
}

.rcb-available .not-able-text {
    color: #fa0012;
    padding-left: 5px;
}

.free-delivery-txt {
    font-size: 12px;
    padding-left: 5px;
}

.row-price {
    margin-top: 17px;
}

.fade-title {
    position: relative;
    min-height: 74px;
    max-height: 74px !important; /* = line-height x 4 (15x4px) */
    overflow: hidden;
    margin-bottom: 6px;
}

    .fade-title:after {
        content: "";
        text-align: right;
        position: absolute;
        bottom: 0;
        right: 0;
        width: 50%;
        height: 15px; /* = line-height (15px) */
        background: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1) 50%);
    }
